Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions
Interface EditionDelta

    public interface EditionDelta

Represents a Delta change set between 2 Editions. This is represented as an Iterator of `Version` objects indicating the entire set of added, removed, and changed items.

When dealing with the `Version` objects returned in the Iterators, the `versionDocument()` may throw DocumentNotFoundException exceptions if the Document has been deleted. For this reason it is recommended that the `versionDocumentId()` method be used instead, when interacting with a `Version` returned form these Iterators.

Since:
  8.5

Method Summary
`java.util.Iterator<Version>` | `getAdditions()` An iterator for the list of Version instances representing additions in the calculated delta between two Editions.
`java.util.Iterator<Version>` | `getDeletions()` An iterator for the list of Version instances representing deletions in the calculated delta between two Editions.
`java.util.Iterator<Version>` | `getUpdates()` An iterator for the list of Version instances representing updates in the calculated delta between two Editions.

Method Detail

### getAdditions

    java.util.Iterator<Version> getAdditions()
                                             throws EditionException,
                                                    VersioningException

  An iterator for the list of Version instances representing additions in the calculated delta between two Editions.

  Returns:
    an iterator of Version objects representing additions
  Throws:
    `EditionException` - if an errors within the Edition
    `VersioningException` - if an error occurred retrieving a `Version`
  Since:
    8.5

### getDeletions

    java.util.Iterator<Version> getDeletions()
                                             throws EditionException,
                                                    VersioningException

  An iterator for the list of Version instances representing deletions in the calculated delta between two Editions.

  Returns:
    an iterator of Version objects representing deletions
  Throws:
    `EditionException` - if an errors within the Edition
    `VersioningException` - if an error occurred retrieving a `Version`
  Since:
    8.5

### getUpdates

    java.util.Iterator<Version> getUpdates()
                                           throws EditionException,
                                                  VersioningException

  An iterator for the list of Version instances representing updates in the calculated delta between two Editions.

  Returns:
    an iterator of Version objects representing updates
  Throws:
    `EditionException` - if an errors within the Edition
    `VersioningException` - if an error occurred retrieving a `Version`
  Since:
    8.5

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD